"""Brainweb downloader."""

from .mri import get_mri

from ._brainweb import (
    get_brainweb1_seg,
    get_brainweb1,
    get_brainweb20,
    get_brainweb20_multiple,
)
from ._brainweb import (
    STD_RES_SHAPE,
    BIG_RES_SHAPE,
    Segmentation,
    Contrast,
    BrainWebTissuesV1,
    BrainWebTissuesV2,
)

__all__ = [
    "get_mri",
    "get_brainweb1",
    "get_brainweb1_seg",
    "get_brainweb20",
    "get_brainweb20_multiple",
    "STD_RES_SHAPE",
    "BIG_RES_SHAPE",
    "Segmentation",
    "Contrast",
    "BrainWebTissuesV1",
    "BrainWebTissuesV2",
]


from importlib.metadata import version, PackageNotFoundError

try:
    __version__ = version(__name__)
except PackageNotFoundError:
    # package is not installed
    pass

# try:
#     # -- Distribution mode --
#     # import from _version.py generated by setuptools_scm during release
#     from ._version import version as __version__
# except ImportError:  # pragma: no cover
#     # -- Source mode --
#     # use setuptools_scm to get the current version from src using git
#     from os import path as _path

#     from setuptools_scm import get_version as _gv

#     __version__ = _gv(_path.join(_path.dirname(__file__), _path.pardir))
